<?php
 $con=mysql_connect("localhost","root","97001");
 mysql_select_db("alsacia");
 $num=452979;
 $cont=0;
 $nv=0;
 $nume="00" . $num; 
 $cuenta=0;
 $sql="select * from veae00 where campo1 like '%$nume%';";
 $res=mysql_query($sql,$con) or die(mysql_error());
 while ($fila=mysql_fetch_array($res)){
  $num=$fila[0];
  $numero=$num;
  $fec=$fila[1];
  $vende=$fila[2];
  $rut=$fila[3];
  $est=$fila[4];
  $nom=$fila[5];
  $cp=$fila[9];
  $des=$fila[19];
  $d1=$fila[12];
  $d2=$fila[14];
  $d3=$fila[16];  
 } //wen 
  //VEMOS DETALLE DEL DOCUMENTO
  $sqld="select * from veai00 where  campo1 like '%$nume%';";
  $resd=mysql_query($sqld,$con) or die(mysql_error());
  while ($filad=mysql_fetch_array($resd)){//while d
   $cont ++;
   $llave=$filad[0];   
   if ($cont%31==0){
    $cuenta++;
    $nv++;
	$num++;
	$sec=substr($filad[0],10,3);	
	$numero= $num .$sec ;
	$sqlie="insert into veae00 (campo1,campo2,campo3,campo4,campo5,campo6,campo10,campo20,campo13,campo15,campo17)
	values ('$num','$fec','$vende','$rut','$est','$nom','$cp','$des','$d1','$d2','$d3');";
	$resie=mysql_query($sqlie,$con) or die(mysql_error());	
	$sec=substr($filad[0],10,3);	
	echo $numero . "<br>";
   }
   $sqlmd="update veai00 set campo1='$numero' where campo1='$llave';";
   if ($cuenta > 0){
    $resmd=mysql_query($sqlmd,$con) or die(mysql_error());
   }
  }//wend d  
  //***************************	    
  
 
 mysql_close($con);
 ?>
